---
title: "查询销售渠道中的单个商品"
description: "查询当前销售渠道下的指定商品。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/sales-channels/query-specify-product-for-sales-channels'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/sales-channels/query-specify-product-for-sales-channels.md'
---
# 查询销售渠道中的单个商品

查询当前销售渠道下的指定商品。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_product_listings`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /product_listings/:product_listing_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_product_listings`

## Request

### Path Parameters

* `product_listing_id`

  string (required)

  商品的唯一标识 ID。<br/>
  最大长度限制：64

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `product_listing`

  object

  商品信息。

  * `body_html`

    string

    商品的描述。

  * `created_at`

    string

    商品创建的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `handle`

    string

    商品的语义化的唯一标识，默认基于 `title` 生成。

  * `images`

    array<object>

    商品图片列表。

    * `alt`

      string

      商品图的替代文本描述，通常是具有图片特征或内容的单词或短语。

    * `src`

      string

      商品图的链接，以 URL 形式展示。

  * `options`

    array<object>

    商品规格列表。

    * `id`

      string

      规格的唯一标识 ID。

    * `name`

      string

      规格的名称。

    * `product_id`

      string

      规格对应商品的唯一标识 ID。

    * `values`

      array<string>

      规格值列表。

    * `values_images`

      map

      规格值与对应图片 URL 的映射关系。

  * `product_id`

    string

    商品的唯一标识 ID。

  * `published_at`

    string

    商品发布到在线商店的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `published_scope`

    string

    商品的销售渠道发布范围。有效值固定为 `web`，代表在线商城。

  * `spu`

    string

    商家为商品自定义的标识。

  * `status`

    string

    商品的状态。有效枚举值包含：
    - `active`: 上架
    - `draft`: 下架
    - `archived`: 归档

  * `subtitle`

    string

    商品的摘要。

  * `tags`

    string

    商品的标签。

  * `template_path`

    string

    商品详情页的主题模板文件路径。

  * `title`

    string

    商品的名称。

  * `unlisted`

    boolean

    商品是否设置为非公开状态。
    - `true`: 非公开。商品在店铺前台的所有公开展示与搜索渠道中均被隐藏，仅可通过直接链接访问。
    - `false`: 公开。商品正常在前台各渠道展示，并可被搜索。

  * `updated_at`

    string

    商品最近一次更新的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `variants`

    array<object>

    商品款式列表。

    * `barcode`

      string

      款式的条形码。

    * `compare_at_price`

      string

      款式的原价，数值保留到小数点后两位。

    * `id`

      string

      款式的唯一标识 ID。

    * `image`

      object

      款式的图片。

      * `alt`

        string

        款式图的替代文本描述，通常是具有图片特征或内容的单词或短语。

      * `src`

        string

        款式图的链接，以 URL 形式展示。

    * `inventory_item_id`

      string

      库存单位的唯一标识 ID。

    * `inventory_policy`

      string

      款式的超卖策略。有效枚举值包含：
      - `deny`：不允许超卖。
      - `continue`：允许超卖。

    * `inventory_quantity`

      integer

      各存放地点的库存数量总和。

    * `inventory_tracker`

      boolean

      表明是否开启库存追踪。
      - `true`：开启库存追踪。
      - `false`：不开启库存追踪。

    * `option1`

      string

      款式第一个规格的信息。

    * `option2`

      string

      款式第二个规格的信息。

    * `option3`

      string

      款式第三个规格的信息。

    * `option4`

      string

      款式第四个规格的信息。

    * `option5`

      string

      款式第五个规格的信息。

    * `price`

      string

      款式的售价，数值保留到小数点后两位。

    * `product_id`

      string

      款式对应商品的唯一标识 ID。

    * `required_shipping`

      boolean

      表明款式是否需要运输。
      - `true`：需要运输。
      - `false`：不需要运输。

    * `sku`

      string

      商家为款式自定义的标识。

    * `taxable`

      boolean

      表明款式是否需要收税。
      - `true`：需要收税。
      - `false`：不需要收税。

    * `title`

      string

      款式名称，由各规格选项值拼接而成。

    * `weight`

      string

      款式的重量。数值保留到小数点后两位。

    * `weight_unit`

      string

      款式的重量单位。有效枚举值包含：
      - `g`：克
      - `kg`：千克
      - `lb`：磅
      - `oz`：盎司
      - `zh_kg`：公斤

  * `vendor`

    string

    商品的品牌或厂商。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "查询销售渠道中的单个商品"
  ],
  "description": "查询当前销售渠道下的指定商品。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_product_listings` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| DATA_NOT_EXIST | 404 | The requested data does not exist. |\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| PARAM_ILLEGAL | 422 | illegal param |\n"
  },
  "operationId": "X25eJcJb",
  "parameters": [
    {
      "name": "product_listing_id",
      "in": "path",
      "description": "商品的唯一标识 ID。<br/>\n最大长度限制：64",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "product_listing_id",
        "description": "商品的唯一标识 ID。<br/>\n最大长度限制：64",
        "type": "string",
        "example": "16049619743346320200470282"
      },
      "example": "16049619743346320200470282",
      "examples": {
        "查询销售渠道中的指定商品": {
          "value": "16060878853599197112313144"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "product_listing": {
                "name": "product_listing",
                "description": "商品信息。",
                "type": "object",
                "properties": {
                  "body_html": {
                    "name": "body_html",
                    "description": "商品的描述。",
                    "type": "string",
                    "example": "This is a description"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "商品创建的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2025-03-06T02:20:26+08:00"
                  },
                  "handle": {
                    "name": "handle",
                    "description": "商品的语义化的唯一标识，默认基于 `title` 生成。",
                    "type": "string",
                    "example": "product-handle"
                  },
                  "images": {
                    "name": "images",
                    "description": "商品图片列表。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "alt": {
                          "name": "alt",
                          "description": "商品图的替代文本描述，通常是具有图片特征或内容的单词或短语。",
                          "type": "string",
                          "example": "This is an image alt."
                        },
                        "src": {
                          "name": "src",
                          "description": "商品图的链接，以 URL 形式展示。",
                          "type": "string",
                          "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      },
                      "example": {
                        "alt": "This is an image alt.",
                        "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                      }
                    }
                  },
                  "options": {
                    "name": "options",
                    "description": "商品规格列表。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "name": "id",
                          "description": "规格的唯一标识 ID。",
                          "type": "string",
                          "example": "16158068291703878544960282"
                        },
                        "name": {
                          "name": "name",
                          "description": "规格的名称。",
                          "type": "string",
                          "example": "Color"
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "规格对应商品的唯一标识 ID。",
                          "type": "string",
                          "example": "16057850264845250791280282"
                        },
                        "values": {
                          "name": "values",
                          "description": "规格值列表。",
                          "type": "array",
                          "items": {
                            "type": "string"
                          },
                          "example": [
                            "red",
                            "green",
                            "white"
                          ]
                        },
                        "values_images": {
                          "name": "values_images",
                          "description": "规格值与对应图片 URL 的映射关系。",
                          "type": "map",
                          "example": {
                            "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          }
                        }
                      },
                      "example": {
                        "id": "16158068291703878544960282",
                        "name": "Color",
                        "product_id": "16057850264845250791280282",
                        "values": [
                          "red",
                          "green",
                          "white"
                        ],
                        "values_images": {
                          "red": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        }
                      }
                    }
                  },
                  "product_id": {
                    "name": "product_id",
                    "description": "商品的唯一标识 ID。",
                    "type": "string",
                    "example": "16057850264845250791280282"
                  },
                  "published_at": {
                    "name": "published_at",
                    "description": "商品发布到在线商店的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2025-03-06T02:20:26+08:00"
                  },
                  "published_scope": {
                    "name": "published_scope",
                    "description": "商品的销售渠道发布范围。有效值固定为 `web`，代表在线商城。",
                    "type": "string"
                  },
                  "spu": {
                    "name": "spu",
                    "description": "商家为商品自定义的标识。",
                    "type": "string",
                    "example": "S00000001"
                  },
                  "status": {
                    "name": "status",
                    "description": "商品的状态。有效枚举值包含：\n- `active`: 上架\n- `draft`: 下架\n- `archived`: 归档",
                    "type": "string"
                  },
                  "subtitle": {
                    "name": "subtitle",
                    "description": "商品的摘要。",
                    "type": "string",
                    "example": "This is a subtitle"
                  },
                  "tags": {
                    "name": "tags",
                    "description": "商品的标签。",
                    "type": "string",
                    "example": "tag1, tag2"
                  },
                  "template_path": {
                    "name": "template_path",
                    "description": "商品详情页的主题模板文件路径。",
                    "type": "string",
                    "example": "templates/product.product_template_name.json"
                  },
                  "title": {
                    "name": "title",
                    "description": "商品的名称。",
                    "type": "string",
                    "example": "This is a product name"
                  },
                  "unlisted": {
                    "name": "unlisted",
                    "description": "商品是否设置为非公开状态。\n- `true`: 非公开。商品在店铺前台的所有公开展示与搜索渠道中均被隐藏，仅可通过直接链接访问。\n- `false`: 公开。商品正常在前台各渠道展示，并可被搜索。",
                    "type": "boolean"
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "商品最近一次更新的日期和时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2025-03-06T02:20:26+08:00"
                  },
                  "variants": {
                    "name": "variants",
                    "description": "商品款式列表。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "barcode": {
                          "name": "barcode",
                          "description": "款式的条形码。",
                          "type": "string",
                          "example": "T00000001"
                        },
                        "compare_at_price": {
                          "name": "compare_at_price",
                          "description": "款式的原价，数值保留到小数点后两位。",
                          "type": "string",
                          "example": "129.99"
                        },
                        "id": {
                          "name": "id",
                          "description": "款式的唯一标识 ID。",
                          "type": "string",
                          "example": "18057039439794751459380282"
                        },
                        "image": {
                          "name": "image",
                          "description": "款式的图片。",
                          "type": "object",
                          "properties": {
                            "alt": {
                              "name": "alt",
                              "description": "款式图的替代文本描述，通常是具有图片特征或内容的单词或短语。",
                              "type": "string",
                              "example": "This is an image alt."
                            },
                            "src": {
                              "name": "src",
                              "description": "款式图的链接，以 URL 形式展示。",
                              "type": "string",
                              "example": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                            }
                          },
                          "example": {
                            "alt": "This is an image alt.",
                            "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                          }
                        },
                        "inventory_item_id": {
                          "name": "inventory_item_id",
                          "description": "库存单位的唯一标识 ID。",
                          "type": "string",
                          "example": "59854602422372317075"
                        },
                        "inventory_policy": {
                          "name": "inventory_policy",
                          "description": "款式的超卖策略。有效枚举值包含：\n- `deny`：不允许超卖。\n- `continue`：允许超卖。",
                          "type": "string"
                        },
                        "inventory_quantity": {
                          "name": "inventory_quantity",
                          "description": "各存放地点的库存数量总和。",
                          "type": "integer",
                          "example": 99
                        },
                        "inventory_tracker": {
                          "name": "inventory_tracker",
                          "description": "表明是否开启库存追踪。\n- `true`：开启库存追踪。\n- `false`：不开启库存追踪。",
                          "type": "boolean"
                        },
                        "option1": {
                          "name": "option1",
                          "description": "款式第一个规格的信息。",
                          "type": "string",
                          "example": "red"
                        },
                        "option2": {
                          "name": "option2",
                          "description": "款式第二个规格的信息。",
                          "type": "string",
                          "example": "xl"
                        },
                        "option3": {
                          "name": "option3",
                          "description": "款式第三个规格的信息。",
                          "type": "string",
                          "example": "cotton"
                        },
                        "option4": {
                          "name": "option4",
                          "description": "款式第四个规格的信息。",
                          "type": "string",
                          "example": "short"
                        },
                        "option5": {
                          "name": "option5",
                          "description": "款式第五个规格的信息。",
                          "type": "string",
                          "example": "casual"
                        },
                        "price": {
                          "name": "price",
                          "description": "款式的售价，数值保留到小数点后两位。",
                          "type": "string",
                          "example": "90.22"
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "款式对应商品的唯一标识 ID。",
                          "type": "string",
                          "example": "16057039432335097907370282"
                        },
                        "required_shipping": {
                          "name": "required_shipping",
                          "description": "表明款式是否需要运输。\n- `true`：需要运输。\n- `false`：不需要运输。",
                          "type": "boolean"
                        },
                        "sku": {
                          "name": "sku",
                          "description": "商家为款式自定义的标识。",
                          "type": "string",
                          "example": "S00000001"
                        },
                        "taxable": {
                          "name": "taxable",
                          "description": "表明款式是否需要收税。\n- `true`：需要收税。\n- `false`：不需要收税。",
                          "type": "boolean"
                        },
                        "title": {
                          "name": "title",
                          "description": "款式名称，由各规格选项值拼接而成。",
                          "type": "string",
                          "example": "red · xl"
                        },
                        "weight": {
                          "name": "weight",
                          "description": "款式的重量。数值保留到小数点后两位。",
                          "type": "string",
                          "example": "0.23"
                        },
                        "weight_unit": {
                          "name": "weight_unit",
                          "description": "款式的重量单位。有效枚举值包含：\n- `g`：克\n- `kg`：千克\n- `lb`：磅\n- `oz`：盎司\n- `zh_kg`：公斤",
                          "type": "string"
                        }
                      },
                      "example": {
                        "barcode": "T00000001",
                        "compare_at_price": "129.99",
                        "id": "18057039439794751459380282",
                        "image": {
                          "alt": "This is an image alt.",
                          "src": "https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"
                        },
                        "inventory_item_id": "59854602422372317075",
                        "inventory_policy": null,
                        "inventory_quantity": 99,
                        "inventory_tracker": null,
                        "option1": "red",
                        "option2": "xl",
                        "option3": "cotton",
                        "option4": "short",
                        "option5": "casual",
                        "price": "90.22",
                        "product_id": "16057039432335097907370282",
                        "required_shipping": null,
                        "sku": "S00000001",
                        "taxable": null,
                        "title": "red · xl",
                        "weight": "0.23",
                        "weight_unit": null
                      }
                    }
                  },
                  "vendor": {
                    "name": "vendor",
                    "description": "商品的品牌或厂商。",
                    "type": "string",
                    "example": "SHOPLINE"
                  }
                },
                "example": {
                  "body_html": "This is a description",
                  "created_at": "2025-03-06T02:20:26+08:00",
                  "handle": "product-handle",
                  "images": null,
                  "options": null,
                  "product_id": "16057850264845250791280282",
                  "published_at": "2025-03-06T02:20:26+08:00",
                  "published_scope": null,
                  "spu": "S00000001",
                  "status": null,
                  "subtitle": "This is a subtitle",
                  "tags": "tag1, tag2",
                  "template_path": "templates/product.product_template_name.json",
                  "title": "This is a product name",
                  "unlisted": null,
                  "updated_at": "2025-03-06T02:20:26+08:00",
                  "variants": null,
                  "vendor": "SHOPLINE"
                }
              }
            },
            "example": {
              "product_listing": {
                "body_html": "This is a description",
                "created_at": "2025-03-06T02:20:26+08:00",
                "handle": "product-handle",
                "images": null,
                "options": null,
                "product_id": "16057850264845250791280282",
                "published_at": "2025-03-06T02:20:26+08:00",
                "published_scope": null,
                "spu": "S00000001",
                "status": null,
                "subtitle": "This is a subtitle",
                "tags": "tag1, tag2",
                "template_path": "templates/product.product_template_name.json",
                "title": "This is a product name",
                "unlisted": null,
                "updated_at": "2025-03-06T02:20:26+08:00",
                "variants": null,
                "vendor": "SHOPLINE"
              }
            }
          },
          "examples": {
            "查询销售渠道中的指定商品": {
              "description": "查询销售渠道中的指定商品。",
              "value": {
                "product_listing": {
                  "body_html": "<p>This is a description</p>",
                  "created_at": "2023-08-28T11:45:53+08:00",
                  "handle": "my-product-15",
                  "images": [
                    {
                      "alt": "This is an alt",
                      "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                    }
                  ],
                  "options": [
                    {
                      "id": "16160878853605069127763144",
                      "name": "Size",
                      "product_id": "16060878853599197112313144",
                      "values": [
                        "L",
                        "XL",
                        "XXL"
                      ],
                      "values_images": {}
                    },
                    {
                      "id": "16160878853605069127793144",
                      "name": "Color",
                      "product_id": "16060878853599197112313144",
                      "values": [
                        "White"
                      ],
                      "values_images": {}
                    }
                  ],
                  "product_id": "16060878853599197112313144",
                  "published_at": "2023-08-28T11:45:53+08:00",
                  "published_scope": "web",
                  "spu": "S000000001",
                  "status": "active",
                  "subtitle": "This is a subtitle",
                  "tags": "Spring,T shirt",
                  "template_path": "templates/products/detail.html",
                  "title": "My Product 15",
                  "updated_at": "2023-08-28T19:19:05+08:00",
                  "variants": [
                    {
                      "barcode": "T00000001",
                      "compare_at_price": "120.00",
                      "id": "18060878853605069127743144",
                      "image": {
                        "alt": "This is an alt",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      },
                      "inventory_item_id": "6087885361949712083",
                      "inventory_policy": "continue",
                      "inventory_quantity": 580,
                      "inventory_tracker": true,
                      "option1": "L",
                      "option2": "White",
                      "price": "100.00",
                      "product_id": "16060878853599197112313144",
                      "required_shipping": true,
                      "sku": "S00000000101",
                      "taxable": true,
                      "title": "L · White",
                      "weight": "10.00",
                      "weight_unit": "g"
                    },
                    {
                      "barcode": "B0000000001",
                      "compare_at_price": "120.00",
                      "id": "18060878853605069127833144",
                      "image": {
                        "alt": "My Product-10",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      },
                      "inventory_item_id": "6087885361949712081",
                      "inventory_policy": "deny",
                      "inventory_quantity": 100,
                      "inventory_tracker": true,
                      "option1": "XL",
                      "option2": "White",
                      "price": "100.00",
                      "product_id": "16060878853599197112313144",
                      "required_shipping": true,
                      "sku": "S00000000102",
                      "taxable": true,
                      "title": "XL · White",
                      "weight": "50.00",
                      "weight_unit": "g"
                    },
                    {
                      "barcode": "B0000000001",
                      "compare_at_price": "120.00",
                      "id": "18060878853605069127893144",
                      "image": {
                        "alt": "My Product-10",
                        "src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
                      },
                      "inventory_item_id": "6087885361949712082",
                      "inventory_policy": "deny",
                      "inventory_quantity": 170,
                      "inventory_tracker": true,
                      "option1": "XXL",
                      "option2": "White",
                      "price": "100.00",
                      "product_id": "16060878853599197112313144",
                      "required_shipping": true,
                      "sku": "S00000000103",
                      "taxable": true,
                      "title": "XXL · White",
                      "weight": "50.00",
                      "weight_unit": "g"
                    }
                  ],
                  "vendor": "Shopline"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/product_listings/:product_listing_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询销售渠道中的单个商品",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_product_listings"
  ]
}
```